%define momorel 2

Summary: ACPI Event Daemon
Name: acpid
Version: 1.0.3
Release: %{momorel}m
License: GPL
Group: System Environment/Daemons
Source: http://telia.dl.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1: momonga.conf
Source2: acpid.init
Patch2: acpid-1.0.2-event-format.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://sourceforge.net/projects/acpid/
ExclusiveArch: %{ix86}
PreReq: chkconfig
NoSource: 0


%description
acpid is a daemon that dispatches ACPI events to user-space programs.


%changelog
* Tue Mar 15 2004 Toru Hoshina <t@momonga-linux.org>
- (1.0.3-2m)
- revised spec for enabling rpm 4.2.

* Wed Feb 25 2004 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (1.0.3-1m)
- update to 1.0.3
- remove acpid-1.0.0-init.kiriwake.patch and add acpid.init
  redhat/acpid.init has gone from source tar ball

* Sun Dec 14 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (1.0.2-3m)
- add ExclusiveArch: %%{ix86}
- condrestart daemon on upgrade
- stop daemon before removing

* Sun Dec 14 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (1.0.2-2m)
- fix sample configuration files to adapt to latest format of /proc/acpi/event
- install acpi_handler.sh to %{_libexecdir}
- add configuration file which calls acpi_handler.sh
- %%config(noreplace) to config files

* Thu Jul 24 2003 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (1.0.2-1m)
- update to 1.0.2
- use %%{momorel} macro
- add %%doc
- fix %%{_mandir}/man8/acpid.8.* -> %%{_mandir}/man8/acpid.8*

* Mon May 20 2002 Kenta MURATA <muraken@kondara.org>
- (1.0.1-4k)
- sourceforge sabaki

* Tue Apr 30 2002 Kenta MURATA <muraken@kondara.org>
- (1.0.1-4k)
- /sbin/chkconfig -> chkconfig in PreReq.

* Mon Mar 18 2002 Tsutomu Yasuda <tom@kondara.org>
- (1.0.1-2k)
 update to 1.0.1

* Mon Nov 19 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.0.0-4k)
- add acpid-1.0.0-init.kiriwake.patch not to boot on acpi disable

* Sat Oct 20 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.0.0-2k)
- First Kondarization

* Thu Aug 16 2001  Tim Hockin <thockin@sun.com>
  - Added commandline options to actions

* Wed Aug 15 2001  Tim Hockin <thockin@sun.com>
  - Added UNIX domain socket support
  - Changed /etc/acpid.d to /etc/acpid/events

* Mon Aug 13 2001  Tim Hockin <thockin@sun.com>
  - added changelog
  - 0.99.1-1

%prep
%setup -q
%patch2 -p1

%build
make clean && make

%install
[ -d %{buildroot} ] && rm -rf %{buildroot}
mkdir -p %{buildroot}
make install INSTPREFIX=%{buildroot}

mkdir -p %{buildroot}/etc/acpi/events
mkdir -p %{buildroot}/etc/acpi/actions
chmod 755 %{buildroot}/etc/acpi/events
install -m 0644 samples/sample.conf %{buildroot}/etc/acpi/events
install -m 0644 %{SOURCE1}          %{buildroot}/etc/acpi/events

mkdir -p %{buildroot}%{_libexecdir}/acpid
chmod 0755 %{buildroot}%{_libexecdir}/acpid
install -m 0755 samples/acpi_handler.sh %{buildroot}%{_libexecdir}/acpid/

mkdir -p %{buildroot}/var/log
touch %{buildroot}/var/log/acpid
chmod 640 %{buildroot}/var/log/acpid

mkdir -p %{buildroot}%{_initscriptdir}
install %{SOURCE2} %{buildroot}%{_initscriptdir}/acpid
chmod 755 %{buildroot}%{_initscriptdir}/acpid

# remove unwanting dir.
rm -rf %{buildroot}%{_bindir}

%files
%defattr(-,root,root)
%doc COPYING Changelog README TODO
%dir /etc/acpi
%dir /etc/acpi/events
%dir /etc/acpi/actions
%config(noreplace) /etc/acpi/events/sample.conf
%config(noreplace) /etc/acpi/events/momonga.conf
%{_libexecdir}/acpid
%{_var}/log/acpid
%{_sbindir}/acpid
%{_initscriptdir}/acpid
%{_mandir}/man8/acpid.8*
%{_mandir}/man8/acpi_listen.8*


%post
if [ "$1" = "1" ]; then
	# only run on install, not upgrade 
	/sbin/chkconfig --add acpid
	/sbin/chkconfig acpid on
else
	# on upgrade
	/sbin/service acpid condrestart
fi


%preun
if [ "$1" = "0" ]; then
	# only run if this is the last instance to be removed
	if [ -f /var/lock/subsys/acpid ]; then
		/sbin/service acpid stop
	fi
	/sbin/chkconfig --del acpid
fi

%clean
rm -rf %{buildroot}
